# Exemple with correlation

condRACpp outputs a *test.dat* file which contains in the first column the frequencies and in the second column the real part of the conductivity.

Feel free to tweak parameters such as **Nw**, **Nk** and your the frequency grid.

Run the command:

```bash
mpirun ../../CondPara
```

Because Weyl semi-metals are 3D materials, it takes a lot of time to compute the integral over momenta of the Brillouin zone. In a core Quad 2 with 8 Go of ram, it takes around two minutes to compute the optical conductivity with the default parameters values. Of course,the more you add points, the more accurate is the result. You can compare the newly created *test.dat* file with *expected_cond.dat* to check if they are the same.
