//
//  tools_C.cpp
//  Transport
//
//  Created by Shaheen Acheche on 29/09/2017.
//  Copyright © 2017 Shaheen Acheche. All rights reserved.
//

#include "reading.hpp"

namespace reading{
cd_vector read_Self_up(){
    std::ifstream data_file("Region1_SelfEn.dat");
    std::string line;
    dcomp I(0.,1.0);
    double col2, col3, col4;
    cd_vector Self;
    while (std::getline(data_file, line)) {
        if(line.length()>1){
            std::istringstream split(line);
            split>>col2>>col3>>col4;
            Self.push_back(col3+I*col4);
        }
    }
    return Self;
}


d_vector read_real_freq(){
    std::ifstream data_file("Region1_SelfEnRA.dat");
    std::string line;
    dcomp I(0.,1.0);
    double col2;
    d_vector freq;
    while (std::getline(data_file, line)) {
        if(line.length()>1){
            std::istringstream split(line);
            split>>col2;
            freq.push_back(col2);
        }
    }
    return freq;
}

cd_vector read_Self_real(){
    std::ifstream data_file("Region1_SelfEnRA.dat");
    std::string line;
    dcomp I(0.,1.0);
    double col1,col2,col3;
    cd_vector Sig;
    while (std::getline(data_file, line)) {
        if(line.length()>1){
            std::istringstream split(line);
            split>>col1>>col2>>col3;
            Sig.push_back(col2+I*col3);
        }
    }
    return Sig;
}


}