#include <iostream>
#include <fstream>
#include <stdio.h>
#include "config.hpp"

using namespace std;


parameters get_params(){
    ifstream param_file;
    parameters current_param;
    string line;
    string value;
    param_file.open("param.dat", ios::in);

    if(param_file.is_open()){
      cout<<"param.dat file found"<<endl;
    }else{
      cout<<"param.dat file not found"<<endl;
      exit(EXIT_FAILURE);
      return current_param;
    }
    while(param_file >>line>>value){
      //cout<<line<<" "<<value<<endl;
      if(line =="emin"){ current_param.emin = stod(value);}
      if(line =="emax"){current_param.emax= stod(value);}
        if(line =="Nw"){current_param.Nw= stoi(value);}
        if(line =="Ne"){current_param.Ne= stoi(value);}
        if(line =="Nk"){current_param.Nk= stoi(value);}
        if(line =="beta"){current_param.beta= stod(value);}
        if(line =="eta"){current_param.eta= stod(value);}
        if(line =="mu"){current_param.mu= stod(value);}
        if(line =="q"){current_param.q= stoi(value);}
        if(line =="Interaction"){
            if(value=="F"){
                current_param.Int= false;
            }else {
            if(value=="T"){
                current_param.Int=true;
            }else{
                cout<<"Not sure for the option. Non interacting case selected.\n";
                current_param.Int=false;
            }
            }
        }
        }
    return current_param;
}
